Subject: Re: bug#38013: [PATCH] Rectangular region selection with mouse

From: Juri Linkov <[email-masked]>
Date: Thu, 21 Nov 2019 00:38:19 +0200

>> Eli suggested defining a minor mode, as does CUA.
>
> I suggested a minor mode as a way to allow us using the same binding
> as used for another command by default.  I did NOT suggest to have a
> minor mode _instead_ of a binding.

Such minor mode already exists, it's called 'rectangle-mark-mode'
and is enabled by 'C-x SPC'.  It could also have additional bindings
for 'mouse-1' to allow selecting a rectangular region using the mouse.